#############################################################################
##
#W    read.g               share package 'enumpgrp'              Bettina Eick
##

# declare infos and global function
DeclareInfoClass( "InfoEnum" );
DeclareGlobalFunction( "SizeOfUnion" );

# print a banner
Print("#I -------- The EnumPGroup package --------- \n");
Print("#I -- Enumerating descendants of p-groups -- \n");

# set up global variables for timings
TVS := 0; TMA := 0;

ReadPkg( "enumpgrp", "gap/check.gi");     # some cross-check routines
ReadPkg( "enumpgrp", "gap/print.gi");     # some extra print functions
ReadPkg( "enumpgrp", "gap/tensor.gi");    # dealing with tensors
ReadPkg( "enumpgrp", "gap/union.gi");     # computing the size of a union
ReadPkg( "enumpgrp", "gap/general.gi");   # some general stuff
ReadPkg( "enumpgrp", "gap/capable.gi");   # checking capability
ReadPkg( "enumpgrp", "gap/enumerate.gi"); # enumerate descendants
ReadPkg( "enumpgrp", "gap/createtab.gi"); # create tables
ReadPkg( "enumpgrp", "gap/determine.gi"); # list descendants

