#############################################################################
##
#W   print.gi              share package 'enumpgrp'              Bettina Eick
##

PrintMat := function( mat )
    local vec;
    for vec in mat do Print(IntVecFFE(vec),"\n"); od;
end;

PrintVS := function( vs )
    PrintMat(AsList(Basis(vs)));
end;

PrintTP := function( U, cc )
    local basis, d, l, b, i, j;

    basis := ShallowCopy( Basis( U ) );
    TriangulizeMat( basis );
    d := cc.module.dimension;
    l := Length(cc.presentation.relators );
    for b in basis do
         for j in [1..d] do
            for i in [1..l] do
                Print( IntFFE( b[(i-1)*d + j ] ), " " );
            od;
            Print("\n");
        od;
        Print("\n");
    od; 
end;

PrintBlockBase := function( mats )
    local i;
    for i in [1..Length(mats)] do
        PrintMat( mats[i] );
        Print( "\n");
    od;
end;

